#!/bin/sh
export PATH='/usr/lib/llvm15/bin/:/usr/lib/ccache/bin:/usr/bin'
printf '%s' 'name:                 commonmark
version:              0.2.6
visibility:           public
id:                   commonmark-0.2.6-Hifibz1wrVcIqBZObOgq9w
key:                  commonmark-0.2.6-Hifibz1wrVcIqBZObOgq9w
license:              BSD-3-Clause
copyright:            2018-2021 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
stability:            experimental
homepage:             https://github.com/jgm/commonmark-hs
synopsis:             Pure Haskell commonmark parser.
description:
    This library provides the core data types and functions
    for parsing commonmark (<https://spec.commonmark.org>).
    The parser is fully commonmark-compliant and passes the test
    suite.  It is designed to be customizable and easily extensible.
    To customize the output, create an AST, or support a new output
    format, one need only define some new typeclass instances.
    It is also easy to add new syntax elements or modify existing ones.

    Accurate information about source positions is available
    for all block and inline elements.  Thus the library can be
    used to create an accurate syntax highlighter or
    an editor with live preview.

    The parser has been designed for robust performance
    even in pathological cases that tend to cause stack overflows or
    exponential slowdowns in other parsers, with parsing speed that
    varies linearly with input length.

    Related packages:

    - commonmark-extensions (which defines a number of syntax extensions)
    - commonmark-pandoc (which allows using this parser to create a Pandoc
    structure)
    - commonmark-cli (a command-line tool for converting and
    syntax-highlighting commonmark documents)

category:             Text
abi:                  4639fc52f099e45f46870c680a14e749
exposed:              True
exposed-modules:
    Commonmark Commonmark.Blocks Commonmark.Entity Commonmark.Html
    Commonmark.Inlines Commonmark.Parser Commonmark.ReferenceMap
    Commonmark.SourceMap Commonmark.Syntax Commonmark.Tag
    Commonmark.TokParsers Commonmark.Tokens Commonmark.Types

import-dirs:          /usr/lib/ghc-9.8.2/site-local/commonmark-0.2.6
library-dirs:         /usr/lib/ghc-9.8.2/site-local/commonmark-0.2.6
library-dirs-static:  /usr/lib/ghc-9.8.2/site-local/commonmark-0.2.6
dynamic-library-dirs: /usr/lib/x86_64-linux-ghc-9.8.2
data-dir:             /usr/share/x86_64-linux-ghc-9.8.2/commonmark-0.2.6
hs-libraries:         HScommonmark-0.2.6-Hifibz1wrVcIqBZObOgq9w
depends:
    base-4.19.1.0-inplace bytestring-0.12.1.0-inplace
    containers-0.6.8-inplace parsec-3.1.17.0-inplace text-2.1.1-inplace
    transformers-0.6.1.0-inplace
    unicode-data-0.4.0.1-5JMjOfLAvDW9nY6ZhAwf06
    unicode-transforms-0.4.0.1-IgoCYLsknSZ7nHw1ixBQ9g

haddock-interfaces:
    /usr/share/doc/x86_64-linux-ghc-9.8.2/commonmark-0.2.6/html/commonmark.haddock

haddock-html:         /usr/share/doc/x86_64-linux-ghc-9.8.2/commonmark-0.2.6/html
' | '/usr/bin/ghc-pkg-9.8.2' 'update' '-' '--global' '--no-user-package-db' "$@"

